package devguide.client;
import oracle.jbo.ApplicationModule;
import oracle.jbo.Row;
import oracle.jbo.RowSet;
import oracle.jbo.ViewObject;
import oracle.jbo.client.Configuration;
public class TestClient {
  public static void main(String[] args) {
    String        amDef = "devguide.model.SRService";
    String        config = "SRServiceLocal";
    ApplicationModule am = Configuration.createRootApplicationModule(amDef,config);
    ViewObject staffList = am.findViewObject("StaffList");
    staffList.executeQuery();
    while (staffList.hasNext()) {
      Row staffMember = staffList.next();
      System.out.println("Staff Member: "+staffMember.getAttribute("FullName"));
      RowSet reqs = (RowSet)staffMember.getAttribute("ServiceRequests");
      while (reqs.hasNext()) {
        Row svcreq = reqs.next();
        System.out.println(" ["+svcreq.getAttribute("Status")+"] "+
                               svcreq.getAttribute("SvrId")+": "+
                               svcreq.getAttribute("ProblemDescription"));
        if(!svcreq.getAttribute("Status").equals("Closed")) {
          RowSet hists = (RowSet)svcreq.getAttribute("ServiceHistories");
          while (hists.hasNext()) {
            Row hist = hists.next();
            System.out.println("  "+hist.getAttribute("LineNo")+": "+
                               hist.getAttribute("Notes"));
          }          
        }
      }
    }
    Configuration.releaseRootApplicationModule(am,true);
  }  
}
