package devguide.examples.client;
import oracle.jbo.client.Configuration;
import oracle.jbo.*;
import oracle.jbo.domain.Number;
import oracle.jbo.domain.*;
public class TestClient {
  public static void main(String[] args) {
    String        amDef = "devguide.examples.UserService";
    String        config = "UserServiceLocal";
    ApplicationModule am = Configuration.createRootApplicationModule(amDef,config);
    ViewObject vo = am.findViewObject("UserList");
    System.out.println("Query will return "+ vo.getEstimatedRowCount()+" rows...");
    vo.executeQuery();
    while (vo.hasNext()) {
      Row curUser = vo.next();
      System.out.println(vo.getCurrentRowIndex()+". "+
                         curUser.getAttribute("UserId")+" "+
                         curUser.getAttribute("Email"));
    }
    Configuration.releaseRootApplicationModule(am,true);
  }
}