package devguide.examples.client;
import devguide.examples.common.UsersRow;
import oracle.jbo.ApplicationModule;
import oracle.jbo.ViewObject;
import oracle.jbo.client.Configuration;
import oracle.jbo.domain.Number;
public class TestClient3 {
  public static void main(String[] args) {
    String amDef = "devguide.examples.UserService";
    String config = "UserServiceLocal";
    ApplicationModule am = Configuration.createRootApplicationModule(amDef, config);
    ViewObject vo = am.findViewObject("UserList");
    vo.executeQuery();
    while (vo.hasNext()) {
      // Cast next() to a strongly-typed UsersRow interface 
      UsersRow curUser = (UsersRow)vo.next();
      Number userId = curUser.getUserId();
      String email  = curUser.getEmail();
      System.out.println(userId+ " " + email);
    }
    Configuration.releaseRootApplicationModule(am, true);
  }
}
